import 'package:flutter/material.dart';

const List<String> FxCalendarWeekList = ['周日', '周一', '周二', '周三', '周四', '周五', '周六'];
class FxCalendarHeader extends StatelessWidget {

  const FxCalendarHeader({
    Key key,
    this.dateTime,
    @required this.lastCallBack,
    @required this.nextCallBack,
    this.height = 80
  }) : super(key: key);

  final VoidCallback lastCallBack, nextCallBack;
  final double height;
  final DateTime dateTime;

  // 周几
  List<Widget> weekWidgetList() {
    List<Widget> list = [];
    for (String week in FxCalendarWeekList) {
      list.add(Text(week));
    }
    return list;
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      height: height,
      child: Column(
        children:[
          Row(
            mainAxisAlignment: MainAxisAlignment.spaceAround,
            children: [
              IconButton(
                icon: Icon(Icons.arrow_left),
                onPressed: lastCallBack
              ),
              Offstage(
                offstage: dateTime == null,
                child: Text(
                  dateTime == null ? '' : '${dateTime.year} 年 ${dateTime.month} 月'
                ),
              ),
              IconButton(
                icon: Icon(Icons.arrow_right),
                onPressed: nextCallBack
              ),
            ],
          ),
          Row(
            mainAxisAlignment: MainAxisAlignment.spaceAround,
            children: weekWidgetList(),
          )
        ]
      )
    );
  }
}